module SimpleFSM(
	input CLK,
	input RESET,
	input START,
	output [1:0] LED
    );
	 
	reg [2:0] state;
	
	always@(posedge CLK)
	begin
		if(RESET)
			state <= 3'd0;
		else
			if(state == 3'd0)
				if(START == 1)
					state <= 3'd1;
				else
					state <= 3'd0;
			else if(state == 3'd4)
				state <= 3'd0;
			else
				state <= state + 1;
	end

	reg [1:0] Q;
	
	always@(state)
	begin
		case(state)
			0: Q <= 2'd0;
			1: Q <= 2'd3;
			2: Q <= 2'd1;
			3: Q <= 2'd2;
			4: Q <= 2'd0;
			default: Q <= 2'd0;
		endcase
	end
	
	assign LED = Q;

endmodule
