`timescale 1ns / 1ps

module TestBench;

	// Inputs
	reg CLK;
	reg RESET;
	reg START;

	// Outputs
	wire [1:0] LED;

	// Instantiate the Unit Under Test (UUT)
	SimpleFSM uut (
		.CLK(CLK), 
		.RESET(RESET), 
		.START(START), 
		.LED(LED)
	);
	
	always 
		#10 CLK = ~CLK;

	initial begin
		// Initialize Inputs
		CLK = 0;
		RESET = 0;
		START = 0;

		// Wait 100 ns for global reset to finish
		#100;
        
		// Add stimulus here
		#20 RESET = 1;
		#20 RESET = 0;
		#20 START = 1;
		#20 START = 0;
		#900 $stop;
	end
      
endmodule

